package com.qmth.paper.library.common.bean.dto.syssetting;

import java.util.List;

public class SimpleObject {

    private String code;

    private String value;

    private String name;

    private int sort;

    private boolean enable;
    private String remark;

    private List<SimpleObjectOptions> options;

    public SimpleObject() {
    }

    public SimpleObject(String code, String name, String value, int sort, boolean enable, List<SimpleObjectOptions> options, String remark) {
        this.code = code;
        this.name = name;
        this.value = value;
        this.sort = sort;
        this.enable = enable;
        this.options = options;
        this.remark = remark;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public List<SimpleObjectOptions> getOptions() {
        return options;
    }

    public void setOptions(List<SimpleObjectOptions> options) {
        this.options = options;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
